Send server-side requests from a static egress IP address, not a shared or dynamically assigned cloud IP address. See Request requirements.
X-Api-Key header.
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
X-Api-Key header.
curl -X POST 'https://api.primer.io/<ENDPOINT>' \
--header 'X-Api-Key: <YOUR_API_KEY>'
| Scope | Description |
|---|---|
client_tokens:write | Create client tokens for use with the client SDK. |
third_party:webhook_trigger | Allows a third party, typically your payment processor, to post to Primer’s callback endpoint. API keys with this scope enable communication between your processor and Primer about important payment lifecycle events. |
transactions:authorize | Authorize a payment |
transactions:cancel | Cancel a payment. |
transactions:capture | Submit a payment for settlement. |
transactions:read | Retrieve one or more payments. |
transactions:refund | Refund a payment. |
payment_instrument:read | Read stored payment methods. |
payment_instrument:write | Write stored payment methods. |
google_pay_merchants:read | List the Google Pay domains registered through Primer. See Manage Google Pay domains through Primer. |
google_pay_merchants:write | Register and remove Google Pay domains through Primer. |